## grub2-signed 1.80

=== debian/changelog ===
grub2-signed (1.80) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu2. (LP: #1401532)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 04 Apr 2017 10:28:34 -0400

grub2-signed (1.79) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu1.

 -- dann frazier <dannf@ubuntu.com>  Thu, 09 Feb 2017 15:09:36 -0700

grub2-signed (1.78) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-3ubuntu2. (LP: #1447500)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 11 Jan 2017 12:09:12 -0500

grub2-signed (1.77) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-3ubuntu1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 14 Nov 2016 12:15:05 -0500

grub2-signed (1.76) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-3.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 01 Nov 2016 15:08:13 -0600

grub2-signed (1.75) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta2-36ubuntu12.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 21 Oct 2016 13:15:28 -0400

=== debian/control ===
Source: grub2-signed
Section: utils
Priority: optional
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu2) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu2) [arm64]
Standards-Version: 3.9.5

Package: grub-efi-amd64-signed
Architecture: amd64
Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
Recommends: secureboot-db
Built-Using: grub2 (= ${grub2:Version})
Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB built for use with the EFI-AMD64
 architecture, signed with Canonical's UEFI signing key.

Package: grub-efi-arm64-signed
Architecture: arm64
Depends: ${misc:Depends}, grub-efi-arm64 (= ${grub2:Version})
Recommends: secureboot-db
Built-Using: grub2 (= ${grub2:Version})
Description: GRand Unified Bootloader, version 2 (EFI-ARM64 version, signed)
 GRUB is a portable, powerful bootloader.  This version of GRUB is based on a
 cleaner design than its predecessors, and provides the following new features:
 .
  - Scripting in grub.cfg using BASH-like syntax.
  - Support for modern partition maps such as GPT.
  - Modular generation of grub.cfg via update-grub.  Packages providing GRUB
    add-ons can plug in their own script rules and trigger updates by invoking
    update-grub.
 .
 This package contains a version of GRUB built for use with the EFI-ARM64
 architecture, signed with Canonical's UEFI signing key.

## grub2-signed 1.80.2

=== debian/changelog ===
grub2-signed (1.80.2) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu2.2. (LP: #1696599)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 14 Jun 2017 14:46:59 -0400

grub2-signed (1.80.1) zesty; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu2.1. (LP: #1684341)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 12 May 2017 12:43:23 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu2) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu2) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu2.2) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu2.2) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.85

=== debian/changelog ===
grub2-signed (1.85) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu7.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 12 Oct 2017 15:52:31 -0400

grub2-signed (1.84) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu6.

 -- Tyler Hicks <tyhicks@canonical.com>  Wed, 05 Jul 2017 22:28:21 +0000

grub2-signed (1.83) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu5.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 30 May 2017 13:55:31 -0400

grub2-signed (1.82) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu4.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 25 May 2017 17:05:41 -0400

grub2-signed (1.81) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu3.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 27 Apr 2017 16:03:03 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu2.2) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu2.2) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu7) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu7) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.85.3

=== debian/changelog ===
grub2-signed (1.85.3) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu7.2. (LP: #1752767)

 -- dann frazier <dannf@ubuntu.com>  Mon, 05 Mar 2018 02:23:49 -0700

grub2-signed (1.85.2) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu7.2. (LP: #1743884)

 -- dann frazier <dannf@ubuntu.com>  Fri, 09 Feb 2018 12:17:51 -0700

grub2-signed (1.85.1) artful; urgency=medium

  * Rebuild against grub2 2.02~beta3-4ubuntu7.1. (LP: #1734278, #1708245)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 13 Dec 2017 14:36:57 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu7) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu7) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu7.3) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu7.3) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.93

=== Makefile ===
include /usr/share/dpkg/default.mk

PLATFORM := UNKNOWN-PLATFORM
EFI_NAME := UNKNOWN-EFI-NAME

ifeq ($(DEB_HOST_ARCH),amd64)
PLATFORM := x86_64-efi
EFI_NAME := x64
endif

ifeq ($(DEB_HOST_ARCH),arm64)
PLATFORM := arm64-efi
EFI_NAME := aa64
endif

SIGNED := \
	grub$(EFI_NAME).efi.signed \
	gcd$(EFI_NAME).efi.signed \
	grubnet$(EFI_NAME).efi.signed

all: $(SIGNED)

$(SIGNED):
	./download-grub2

install: $(SIGNED)
	install -d $(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed
	install -m0644 $(SIGNED) version \
		$(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed/

clean:
	rm -f $(SIGNED) version

=== debian/changelog ===
grub2-signed (1.93) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8. (LP: #1752767)

 -- dann frazier <dannf@ubuntu.com>  Sun, 04 Mar 2018 09:34:34 -0700

grub2-signed (1.92) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu7. (LP: #1711452, #1723434)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 09 Feb 2018 15:57:10 -0500

grub2-signed (1.91) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu6. (LP: #1743249)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 05 Feb 2018 13:26:10 -0500

grub2-signed (1.90) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu5. (LP: #1743884)

 -- dann frazier <dannf@ubuntu.com>  Wed, 31 Jan 2018 11:59:32 -0700

grub2-signed (1.89) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu3. (LP: #1675453)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Jan 2018 09:40:19 +0100

grub2-signed (1.88) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu3. (LP: #1708245)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 17 Jan 2018 09:14:44 -0500

grub2-signed (1.87) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu2. (LP: #1734278)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 05 Dec 2017 14:26:33 -0500

grub2-signed (1.86) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 06 Nov 2017 18:56:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02~beta3-4ubuntu7.3) [amd64], grub-efi-arm64-bin (>= 2.02~beta3-4ubuntu7.3) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02-2ubuntu8) [amd64], grub-efi-arm64-bin (>= 2.02-2ubuntu8) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

destdir := debian/grub-efi-$(DEB_HOST_ARCH)-signed
docdir  := $(destdir)/usr/share/doc/grub-efi-$(DEB_HOST_ARCH)-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat version) \
		-Vgrub2:Version=$(shell cat version)

override_dh_auto_install:
	dh_auto_install --destdir=$(destdir)

## grub2-signed 1.93.16

=== debian/changelog ===
grub2-signed (1.93.16) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.15. (LP: #1864533)

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Mar 2020 22:00:07 +0100

grub2-signed (1.93.15) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.14. (LP: #1851190) (LP: #1851897)

 -- dann frazier <dannf@ubuntu.com>  Sat, 09 Nov 2019 08:50:43 -0700

grub2-signed (1.93.14) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.13. (LP: #1787630) (LP: #564853)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 18 Mar 2019 14:24:36 -0400

grub2-signed (1.93.13) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.12.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 07 Feb 2019 19:28:09 -0500

grub2-signed (1.93.12) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.11.
    (LP: #1401532) (LP: #1814403) (LP: #1814575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 05 Feb 2019 12:46:55 -0500

grub2-signed (1.93.11) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.10.
    (LP: #1789918) (LP: #1800722) (LP: #1812863)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 22 Jan 2019 11:45:06 -0500

grub2-signed (1.93.10) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.9 (LP: #1784363) (LP: #1788727)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Nov 2018 10:54:58 -0500

grub2-signed (1.93.9) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.8 (LP: #1784363)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 25 Oct 2018 13:28:44 -0400

grub2-signed (1.93.8) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.7 (LP: #1785033)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 11 Oct 2018 08:46:20 -0400

grub2-signed (1.93.7) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.6 (LP: #1792575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 27 Sep 2018 13:07:26 -0400

grub2-signed (1.93.6) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.5 (LP: #788298)

 -- dann frazier <dannf@ubuntu.com>  Tue, 18 Sep 2018 14:56:20 -0600

grub2-signed (1.93.5) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.4 (LP: #1785859)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 30 Aug 2018 16:22:15 +0200

grub2-signed (1.93.4) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.3 and check kernel is signed on
    amd64 EFI before installing grub (LP: #1786491).

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 13 Aug 2018 12:51:32 +0200

grub2-signed (1.93.3) bionic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu8.2. (LP: #1258597)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 17 Jul 2018 14:31:57 -0400

grub2-signed (1.93.2) bionic; urgency=medium

  * debian/control: add a dependency of grub-efi-amd64 | grub-pc to
    grub-efi-amd64-signed to make sure the grub postinst is triggered even for
    cases of old iso (without the fixed installer) installations with
    automatic download of updates enabled (LP: #1780897).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Jul 2018 20:36:23 +0200

grub2-signed (1.93.1) bionic; urgency=medium

  * debian/control: switch the grub-efi-amd64 dependency of
    grub-efi-amd64-signed to grub-efi-amd64-bin. (LP: #1778848)
  * debian/grub-efi-amd64-signed.postinst: invoke grub-install with
    --auto-nvram and pass the x86_64-efi target to it, making sure we always 
    install the right target. (LP: #1778848)
  * debian/control: rebuild against grub2 2.02-2ubuntu8.1.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 27 Jun 2018 09:01:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02-2ubuntu8) [amd64], grub-efi-arm64-bin (>= 2.02-2ubuntu8) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02-2ubuntu8.15) [amd64], grub-efi-arm64-bin (>= 2.02-2ubuntu8.15) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed
 Architecture: amd64
-Depends: ${misc:Depends}, grub-efi-amd64 (= ${grub2:Version})
+Depends: ${misc:Depends}, grub-efi-amd64-bin (= ${grub2:Version}), grub-efi-amd64 | grub-pc
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)

## grub2-signed 1.110

=== debian/changelog ===
grub2-signed (1.110) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu7. (LP: #1798171)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 17 Oct 2018 14:50:02 -0400

grub2-signed (1.109) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu7. (LP: #1784363)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 12 Oct 2018 11:26:10 -0400

grub2-signed (1.108) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu6. (LP: #1788727)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 03 Oct 2018 15:07:55 -0400

grub2-signed (1.107) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu5.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 25 Sep 2018 16:17:34 -0400

grub2-signed (1.106) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu4. (LP: #1792575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 17 Sep 2018 08:47:45 -0400

grub2-signed (1.105) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu3. (LP: #788298)

 -- dann frazier <dannf@ubuntu.com>  Thu, 13 Sep 2018 16:00:37 -0600

grub2-signed (1.104) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu2. (LP: #1785033)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 05 Sep 2018 14:32:39 -0400

grub2-signed (1.103) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 23 Aug 2018 17:35:22 -0400

grub2-signed (1.102) cosmic; urgency=medium

  * Call grub-check-signatures before calling grub-install, not after, to
    avoid overwriting the boot loader on disk with one that will fail to
    load.  LP: #1786491.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 10 Aug 2018 12:28:40 -0700

grub2-signed (1.101) cosmic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu13.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 19 Jul 2018 09:53:52 -0400

grub2-signed (1.100) cosmic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu12. (LP: #1258597)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 17 Jul 2018 14:19:33 -0400

grub2-signed (1.99) cosmic; urgency=medium

  * debian/grub-efi-amd64-signed.postinst: run grub-check-signatures on update
    to ensure we have signed kernels installed.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 16 Jul 2018 10:43:25 -0400

grub2-signed (1.98) cosmic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu11.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 16 Jul 2018 10:33:59 -0400

grub2-signed (1.97) cosmic; urgency=medium

  * debian/control: add a dependency of grub-efi-amd64 | grub-pc to
    grub-efi-amd64-signed to make sure the grub postinst is triggered even for
    cases of old iso (without the fixed installer) installations with
    automatic download of updates enabled (LP: #1780897).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Jul 2018 19:00:59 +0200

grub2-signed (1.96) cosmic; urgency=medium

  * debian/control: switch the grub-efi-amd64 dependency of
    grub-efi-amd64-signed to grub-efi-amd64-bin.
  * debian/grub-efi-amd64-signed.postinst: invoke grub-install with
    --auto-nvram and pass the x86_64-efi target to it, making sure we always 
    install the right target.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Jun 2018 20:09:57 +0200

grub2-signed (1.95) cosmic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu10.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Jun 2018 15:37:31 +0200

grub2-signed (1.94) cosmic; urgency=medium

  * Rebuild against grub2 2.02-2ubuntu9.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 05 Jun 2018 01:01:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02-2ubuntu8.15) [amd64], grub-efi-arm64-bin (>= 2.02-2ubuntu8.15) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-5ubuntu8) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-5ubuntu8) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.110.3

=== debian/changelog ===
grub2-signed (1.110.3) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu8.3. (LP: #1787630) (LP: #564853)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 18 Mar 2019 14:16:34 -0400

grub2-signed (1.110.2) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu8.2. (LP: #1814403) (LP: #1814575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 05 Feb 2019 11:19:47 -0500

grub2-signed (1.110.1) cosmic; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu8.1.
    (LP: #1789918) (LP: #1800722) (LP: #1812863)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 22 Jan 2019 11:29:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-5ubuntu8) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-5ubuntu8) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-5ubuntu8.3) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-5ubuntu8.3) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.115

=== debian/changelog ===
grub2-signed (1.115) disco; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-12ubuntu2.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 08 Mar 2019 15:52:22 -0500

grub2-signed (1.114) disco; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-12ubuntu1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 05 Mar 2019 20:07:38 -0500

grub2-signed (1.113) disco; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu11. (LP: #1814403) (LP: #1814575)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 04 Feb 2019 21:03:18 -0500

grub2-signed (1.112) disco; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu10.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 21 Jan 2019 16:59:26 -0500

grub2-signed (1.111) disco; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-5ubuntu9.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 07 Jan 2019 19:12:17 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-5ubuntu8.3) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-5ubuntu8.3) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-12ubuntu2) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-12ubuntu2) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.115.1

=== debian/changelog ===
grub2-signed (1.115.1) disco; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-12ubuntu2.1. (LP: #1851897)

 -- dann frazier <dannf@ubuntu.com>  Sat, 09 Nov 2019 08:44:52 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-12ubuntu2) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-12ubuntu2) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-12ubuntu2.1) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-12ubuntu2.1) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.128

=== debian/changelog ===
grub2-signed (1.128) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu12.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 11 Oct 2019 12:47:39 -0600

grub2-signed (1.127) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu11.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 10 Oct 2019 11:43:40 +0200

grub2-signed (1.126) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Oct 2019 11:42:21 +0100

grub2-signed (1.125) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu9.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 02 Oct 2019 10:40:56 +0200

grub2-signed (1.124) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu8.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 01 Oct 2019 12:19:31 -0400

grub2-signed (1.123) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu7.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 01 Oct 2019 11:29:19 +0200

grub2-signed (1.122) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu6. (LP: #1845466)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 26 Sep 2019 11:03:18 -0400

grub2-signed (1.121) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu5.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 13 Aug 2019 09:20:15 +1200

grub2-signed (1.120) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu4.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Aug 2019 09:50:22 +1200

grub2-signed (1.119) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu3.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 29 Jul 2019 08:12:17 +0200

grub2-signed (1.118) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu2.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 21 Jul 2019 11:12:46 -0300

grub2-signed (1.117) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu1.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 16 Jul 2019 11:37:31 -0400

grub2-signed (1.116) eoan; urgency=medium

  * Rebuild against grub2 2.02+dfsg1-12ubuntu3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Jun 2019 10:38:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.02+dfsg1-12ubuntu2.1) [amd64], grub-efi-arm64-bin (>= 2.02+dfsg1-12ubuntu2.1) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu12) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu12) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.128.2

=== debian/changelog ===
grub2-signed (1.128.2) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu12.2. (LP: #1864533)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 12 Mar 2020 17:43:55 +0100

grub2-signed (1.128.1) eoan; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu12.1. (LP: #1845289) (LP: #1848892)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 01 Nov 2019 15:22:14 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu12) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu12) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu12.2) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu12.2) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.137

=== debian/changelog ===
grub2-signed (1.137) focal; urgency=medium

  *  Rebuild against grub2 2.04-1ubuntu22.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 11 Mar 2020 17:55:48 +0100

grub2-signed (1.136) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu21.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Feb 2020 17:10:28 +0100

grub2-signed (1.135) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu19.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 24 Feb 2020 20:51:12 +0000

grub2-signed (1.134) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu18.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 07 Feb 2020 08:12:34 +0100

grub2-signed (1.133) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu16.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 15 Dec 2019 01:33:09 +0000

grub2-signed (1.132) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu15.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 13 Dec 2019 13:14:55 +0000

grub2-signed (1.131) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu14.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 19 Nov 2019 08:14:40 +0100

grub2-signed (1.130) focal; urgency=medium

  * Really rebuild against grub2 2.04-1ubuntu13 this time.
    (LP: #1845289) (LP: #1848892)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 01 Nov 2019 12:42:37 -0400

grub2-signed (1.129) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu13. (LP: #1845289) (LP: #1848892)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 01 Nov 2019 10:04:30 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu12.2) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu12.2) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu22) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu22) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.142

=== debian/changelog ===
grub2-signed (1.142) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu26.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 15 Apr 2020 13:33:36 +0200

grub2-signed (1.141) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu25.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Apr 2020 15:58:30 +0200

grub2-signed (1.140) focal; urgency=medium

  * Fix postinst typpo.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Apr 2020 23:53:24 +0100

grub2-signed (1.139) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu24, enable installing to multiple
    ESPs (LP: #1871821)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 09 Apr 2020 13:00:04 +0200

grub2-signed (1.138) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu23.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 03 Apr 2020 16:51:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu22) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu22) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu26) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu26) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.155

=== debian/changelog ===
grub2-signed (1.155) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu35

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Oct 2020 23:06:24 +0800

grub2-signed (1.154) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu33

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Sep 2020 01:29:09 -0700

grub2-signed (1.153) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu32

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 11 Sep 2020 20:41:06 +0200

grub2-signed (1.152) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu31

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 11 Sep 2020 12:52:33 +0200

grub2-signed (1.151) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu30.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 03 Sep 2020 14:56:55 +0100

grub2-signed (1.150) groovy; urgency=medium

  * Add check to compare that signed grub, matches monolithic builds, to
    avoid signing skew when copying grub2/grub2-signed to PPAs.
  * Rebuild against grub2 2.04-1ubuntu29.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 02 Sep 2020 10:40:26 +0100

grub2-signed (1.149) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu28

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 Aug 2020 15:12:58 +0200

grub2-signed (1.148) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu27

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 06 Aug 2020 14:46:26 +0200

grub2-signed (1.147) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu26.2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 Jul 2020 17:41:19 -0700

grub2-signed (1.146) groovy; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu26.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Jul 2020 10:43:41 +0100

grub2-signed (1.144) groovy; urgency=medium

  * Fix arm64 download, grub2 package doesn't exist on that arch, use
    grub2-common instead.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 20 May 2020 13:53:28 +0100

grub2-signed (1.143) groovy; urgency=medium

  * Support downloads from PPAs for additional signatures. LP: #1876875

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 24 Apr 2020 23:48:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu26) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu26) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu35) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu35) [arm64]
 Standards-Version: 3.9.5
 
 Package: grub-efi-amd64-signed

## grub2-signed 1.167~16.04.6

=== debian/changelog ===
grub2-signed (1.167~16.04.6) xenial; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu44.1.2.  LP: #1926748.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Jun 2021 13:26:45 -0700

grub2-signed (1.167~16.04.5) xenial; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu44.1.1.
  * debian/*.postinst: Unconditionally call grub-install with
    --force-extra-removable, so that the \EFI\BOOT removable path as used in
    cloud images receives the updates.  LP: #1930742.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Jun 2021 14:58:22 -0700

grub2-signed (1.167~16.04.4) xenial; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu44.1.  LP: #1928674.
  * key on grub-efi-$(DEB_HOST_ARCH) as the binary package for
    download-signed since grub-efi-* and grub2-common are now built from
    separate sources.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 May 2021 23:01:40 -0700

grub2-signed (1.167~16.04.2) xenial; urgency=medium

  [ Matthew Ruffell ]
  * Remove the line GRUB_DISTRIBUTOR=Debian from 
    /etc/default/grub.d/50-cloudimg-settings.cfg on select cloud images,
    namely those produced for GCE before 2020-11-11. This ensures that UEFI
    instances can locate efi executables and grub.cfg in correct directories
    since grub 2.04 seems to enforce pedantic locations. (LP: #1928040)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 May 2021 23:01:05 -0700

grub2-signed (1.167~16.04.1) xenial; urgency=medium

  * Use debhelper-compat 9 for ease of SRUs to Bionic and earlier. LP:
    #1920008

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Mar 2021 11:01:58 +0000

grub2-signed (1.167~16.04.0) xenial; urgency=medium

  * grub-efi-amd64-signed: add depends on grub2-common with support for
    R_X86_64_PLT32 relocations. LP: #1920008

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Mar 2021 11:17:14 +0000

grub2-signed (1.166) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu44.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Mar 2021 14:26:28 +0000

grub2-signed (1.165) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu43.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Mar 2021 11:46:22 +0000

grub2-signed (1.164) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu42. LP: #1915536

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Mar 2021 13:19:26 +0000

grub2-signed (1.163) hirsute; urgency=medium

  * Make maintainer scripts compatible with any grub2-common since
    precise. LP: #1915536
  * Drop unused config_item function.
  * Only download signed binaries once.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Feb 2021 14:40:19 +0000

grub2-signed (1.162) hirsute; urgency=medium

  * Rebuild with correct permissions, and higher version number.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2021 23:50:08 +0000

grub2-signed (1.161) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu39

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 12 Feb 2021 00:52:09 +0000

grub2-signed (1.160) hirsute; urgency=medium

  * Fix test directory existence race in download-signed, making FTBFS on
    arm64:
    - download-signed is run 3 times in parallel due to Makefile and download
      assets in a single directory.
    - testing the directory and then calling makedirs is not done atomically.
    - long term fix would be to run it once and collect/compared all signed
      files.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 09 Feb 2021 10:27:02 +0100

grub2-signed (1.159) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu38

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 08 Feb 2021 12:57:30 +0100

grub2-signed (1.158) hirsute; urgency=medium

  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unused bzr-builddeb.conf
  * Add postinst for the arm64 package (LP: #1914582)
  * Set series specific VCS field in debian/control

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Feb 2021 11:32:09 +0000

grub2-signed (1.157) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu37

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Dec 2020 00:55:28 +0000

grub2-signed (1.156) hirsute; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu36

 -- dann frazier <dannf@debian.org>  Wed, 11 Nov 2020 14:25:12 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu35) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu35) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu44.1.2) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu44.1.2) [arm64]
 Standards-Version: 3.9.5
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/ubuntu/hirsute-devel
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b ubuntu/hirsute-devel
 
 Package: grub-efi-amd64-signed
 Architecture: amd64
-Depends: ${misc:Depends}, grub-efi-amd64-bin (= ${grub2:Version}), grub-efi-amd64 | grub-pc
+Depends: ${misc:Depends}, grub-efi-amd64-bin (= ${grub2:Version}), grub-efi-amd64 | grub-pc, grub2-common (>= ${grub2-common:Version})
 Recommends: secureboot-db
 Built-Using: grub2 (= ${grub2:Version})
 Description: GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)

## grub2-signed 1.167.2

=== debian/changelog ===
grub2-signed (1.167.2) focal; urgency=medium

  * Rebuild against grub2 2.04-1ubuntu44.2.  LP: #1928674.
  * key on grub-efi-$(DEB_HOST_ARCH) as the binary package for
    download-signed since grub-efi-* and grub2-common are now built from
    separate sources.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 May 2021 22:54:30 -0700

grub2-signed (1.167) hirsute; urgency=medium

  * grub-efi-amd64-signed: add depends on grub2-common with support for
    R_X86_64_PLT32 relocations. LP: #1920008

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Mar 2021 11:17:14 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu44.1.2) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu44.1.2) [arm64]
+Build-Depends: debhelper-compat (= 12), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu44.2) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu44.2) [arm64]
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/ubuntu/hirsute-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b ubuntu/hirsute-devel

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

ifeq ($(DEB_DISTRIBUTION), trusty)
GRUB2_COMMON_VERSION:=2.02~beta2-9ubuntu1.22
else ($(DEB_DISTRIBUTION), xenial)
GRUB2_COMMON_VERSION:=2.02~beta2-36ubuntu3.31
else ($(DEB_DISTRIBUTION), bionic)
GRUB2_COMMON_VERSION:=2.02-2ubuntu8.23
else
GRUB2_COMMON_VERSION:=2.02+dfsg1-5
endif

%:
	dh $@ --max-parallel=1

destdir := debian/grub-efi-$(DEB_HOST_ARCH)-signed
docdir  := $(destdir)/usr/share/doc/grub-efi-$(DEB_HOST_ARCH)-signed

override_dh_installchangelogs:
	dh_installchangelogs
	# Quieten lintian, which otherwise gets confused by our odd version
	# number.
	ln $(docdir)/changelog $(docdir)/changelog.Debian

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)+$(shell cat current/version) \
		-Vgrub2:Version=$(shell cat current/version) \
		-Vgrub2-common:Version=$(GRUB2_COMMON_VERSION)

override_dh_auto_install:
	dh_auto_install --destdir=$(destdir)

## grub2-signed 1.169

=== Makefile ===
--- 
+++ 
@@ -14,19 +14,22 @@
 endif
 
 SIGNED := \
-	grub$(EFI_NAME).efi.signed \
-	gcd$(EFI_NAME).efi.signed \
-	grubnet$(EFI_NAME).efi.signed
+	current/grub$(EFI_NAME).efi.signed \
+	current/gcd$(EFI_NAME).efi.signed \
+	current/grubnet$(EFI_NAME).efi.signed
 
 all: $(SIGNED)
 
 $(SIGNED):
-	./download-grub2
+	./download-signed grub2-common current grub2 uefi
+
+check:
+	cmp current/grub$(EFI_NAME).efi /usr/lib/grub/$(PLATFORM)/monolithic/grub$(EFI_NAME).efi
 
 install: $(SIGNED)
 	install -d $(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed
-	install -m0644 $(SIGNED) version \
+	install -m0644 $(SIGNED) current/version \
 		$(DESTDIR)/usr/lib/grub/$(PLATFORM)-signed/
 
 clean:
-	rm -f $(SIGNED) version
+	rm -rf current/

=== debian/changelog ===
grub2-signed (1.169) hirsute; urgency=medium

  * No chnage rebuild against grub 2.04-1ubuntu45.
  * Change branch name in VCS field to just $suite-devel.
  * Forward port debian/rules ifeq/else statement fixes from
    bionic&xenial.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 30 Mar 2021 12:43:08 +0100

grub2-signed (1.168) hirsute; urgency=medium

  * Use debhelper-compat 9 for ease of SRUs to Bionic and earlier. LP:
    #1920008

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 23 Mar 2021 11:01:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu44.2) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu44.2) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu45) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu45) [arm64]
 Standards-Version: 3.9.5
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/ubuntu/hirsute-devel
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b ubuntu/hirsute-devel
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/hirsute-devel
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b hirsute-devel
 
 Package: grub-efi-amd64-signed
 Architecture: amd64

## grub2-signed 1.173

=== debian/changelog ===
grub2-signed (1.173) impish; urgency=medium

  * Actual no change rebuild against grub 2.04-1ubuntu47.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 09 Sep 2021 17:46:11 +0200

grub2-signed (1.172) impish; urgency=medium

  * No change rebuild against grub 2.04-1ubuntu47.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 02 Sep 2021 14:45:29 +0200

grub2-signed (1.171) impish; urgency=medium

  * No change rebuild against grub 2.04-1ubuntu46.
  * Update Vcs-Git to impish-devel.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 19 Jul 2021 10:10:07 +0100

grub2-signed (1.170) impish; urgency=medium

  * key on grub-efi-$(DEB_HOST_ARCH) as the binary package for
    download-signed since grub-efi-* and grub2-common are now built from
    separate sources.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 20 May 2021 08:42:00 -0700

## grub2-signed 1.173.2~18.04.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 all: $(SIGNED)
 
 $(SIGNED):
-	./download-signed grub2-common current grub2 uefi
+	./download-signed grub-efi-$(DEB_HOST_ARCH) current grub2 uefi
 
 check:
 	cmp current/grub$(EFI_NAME).efi /usr/lib/grub/$(PLATFORM)/monolithic/grub$(EFI_NAME).efi

=== debian/changelog ===
grub2-signed (1.173.2~18.04.1) bionic; urgency=medium

  * No change rebuild against grub 2.04-1ubuntu47.4.

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 07 Jul 2022 12:43:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu45) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu45) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu47) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu47) [arm64]
 Standards-Version: 3.9.5
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/hirsute-devel
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b hirsute-devel
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel
 
 Package: grub-efi-amd64-signed
 Architecture: amd64

## grub2-signed 1.173.2~20.04.1

=== debian/changelog ===
grub2-signed (1.173.2~20.04.1) focal; urgency=medium

  * No change rebuild against grub 2.04-1ubuntu47.4.

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 07 Jul 2022 12:43:07 +0100

## grub2-signed 1.180

=== debian/changelog ===
grub2-signed (1.180) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu7.

 -- dann frazier <dannf@ubuntu.com>  Fri, 15 Apr 2022 16:01:37 -0600

grub2-signed (1.179) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu6.
  * Fix grub version number in previous changelog entry.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 19:28:14 +0100

grub2-signed (1.178) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu5.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 18 Feb 2022 17:43:54 +0100

grub2-signed (1.177) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu4.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 10 Jan 2022 15:31:26 +0100

grub2-signed (1.176) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu3.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 13 Dec 2021 14:30:39 +0100

grub2-signed (1.175) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu1.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 Dec 2021 16:59:25 +0100

grub2-signed (1.174) jammy; urgency=medium

  * No change rebuild against grub 2.04-1ubuntu48.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Nov 2021 17:13:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Colin Watson <cjwatson@ubuntu.com>
-Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.04-1ubuntu47) [amd64], grub-efi-arm64-bin (>= 2.04-1ubuntu47) [arm64]
+Build-Depends: debhelper (>= 9), lsb-release, python3, python3-apt, grub-efi-amd64-bin (>= 2.06-2ubuntu7) [amd64], grub-efi-arm64-bin (>= 2.06-2ubuntu7) [arm64]
 Standards-Version: 3.9.5
 Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed/+git/grub2-signed/+ref/impish-devel
 Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/grub2-signed -b impish-devel

## grub2-signed 1.182~22.04.1

=== debian/changelog ===
grub2-signed (1.182~22.04.1) jammy; urgency=medium

  * No change rebuild against grub 2.06-2ubuntu10.

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 07 Jul 2022 12:40:36 +0100
